How to get Visual Studio Project Cleaner

Navigation: »No topics above this level«

How to get Visual Studio Project Cleaner

 Return to chapter overview

Visual Studio Project Cleaner is free for commercial use. Visual Studio Project Cleaner can be downloaded for Software Verify's website at https://www.softwareverify.com/product/visual-studio-project-cleaner/.

This help manual is available in Compiled HTML Help (Windows Help files), PDF, and online.

Windows Help | https://www.softwareverify.com/documentation/chm/visualStudioProjectCleaner.chm
PDF | https://www.softwareverify.com/documentation/pdfs/visualStudioProjectCleaner.pdf
Online | https://www.softwareverify.com/documentation/html/visualStudioProjectCleaner/index.html

Whilst Visual Studio Project Cleaner is free for commercial use, Visual Studio Project Cleaner is copyrighted software and is not in the public domain.

You are free to use the software at your own risk.

You are not allowed to distribute the software in any form, or to sell the software, or to host the software on a website.

Contact

Contact Software Verify at:

Software Verify Limited

Suffolk Business Park

Eldo House

Kempson Way

Bury Saint Edmunds

IP32 7AR

United Kingdom

sales | sales@softwareverify.com
support | support@softwareverify.com
web | https://www.softwareverify.com
blog | https://blog.softwareverify.com
library | https://library.softwareverify.com
twitter | https://twitter.com/softwareverify

Visit our blog to read our articles on debugging techniques and tools.

Follow us on twitter to keep track of the latest software tools and updates.


What does Visual Studio Project Cleaner do?

Navigation: »No topics above this level«

What does Visual Studio Project Cleaner do?

 Return to chapter overview

Visual Studio Project Cleaner deletes all temporary and workspace files associated with Visual Studio.

File Corruption and Instability

In some cases if these temporary and workspace files get corrupted it is possible for Visual Studio to become unstable and crash. This is particularly noticeable with Visual Studio 6.

Deleting these files causes Visual Studio to rebuild them the next time it needs them.

Our experience is that crashes caused by corrupt data are fixed if you run Visual Studio Project Cleaner to delete the temporary files.

Use at your own risk

Visual Studio Project Cleaner destroys temporary files and workspace files. There are no backups made of the files that are destroyed.

Use this software tool at your own risk.

We have never had any problems in the 9 years since we wrote this tool, but that does not guarantee this tool is bug free or that correct usage of this tool will not result in an important file you rely upon being deleted.

Always backup your data before using this tool, or ensure that it is in your version control system.


The menu

Navigation: »No topics above this level«

The menu

 Return to chapter overview

Enter topic text here.


File

Navigation: The menu >

File

 Return to chapter overview

The File menu controls the closing of the software.

File menu instructionStep Exit instructionStep closes Visual Studio Project Cleaner.


Settings

Navigation: The menu >

Settings

 Return to chapter overview

The Settings menu controls the editing of the settings.

Settings menu instructionStep Edit Settings... instructionStep displays the settings dialog.


Software Updates

Navigation: The menu >

Software Updates

 Return to chapter overview

The Software Updates menu controls how often software updates are downloaded.

If you've been notified of a new software release to Visual Studio Project Fixer or just want to see if there's a new version, this feature makes it easy to update.

menu Software Updates menu instructionStep Check for software updates instructionStep checks for updates and shows the software update dialog if any exist

An internet connection is needed to be able to make contact with our servers.

note Before updating the software, close the help manual, and end any active session by closing target programs.

If no updates are available, you'll just see this message:

Software Update dialog

If a software update is available for Visual Studio Project Fixer you'll see the software update dialog.

·Download and install instructionStep downloads the update, showing progress

Once the update has downloaded, Visual Studio Project Fixer will close, run the installer, and restart.

You can stop the download at any time, if necessary.

·Don't download... instructionStep Doesn't download, but you'll be prompted for it again next time you start Visual Studio Project Fixer

·Skip this version... instructionStep Doesn't download the update and doesn't bother you again until there's an even newer update

·Software update options... instructionStep edit the software update schedule

Problems downloading or installing?

If for whatever reason, automatic download and installation fails to complete:

·Download the latest installer manually from the software verify website.

Make some checks for possible scenarios where files may be locked by Visual Studio Project Fixer as follows:

·Ensure Visual Studio Project Fixer and its help manual is also closed

·Ensure any error dialogs from the previous installation are closed

You should now be ready to run the new version.

Software update schedule

Visual Studio Project Fixer can automatically check to see if a new version of Visual Studio Project Fixer is available for downloading.

menu Software Updates menu instructionStep Configure software updates instructionStep shows the software update schedule dialog

The update options are:

·never check for updates

·check daily (the default)

·check weekly

·check monthly

The most recent check for updates is shown at the bottom.

Software update directory

It’s important to be able to specify where software updates are downloaded to because of potential security risks that may arise from allowing the TMP directory to be executable. For example, to counteract security threats it's possible that account ownership permissions or antivirus software blocks program execution directly from the TMP directory.

The TMP directory is the default location but if for whatever reason you're not comfortable with that, you can specify your preferred download directory. This allows you to set permissions for TMP to deny execute privileges if you wish.

menu Software Updates menu instructionStep Set software update directory instructionStep shows the Software update download directory dialog

An invalid directory will show the path in red and will not be accepted until a valid folder is entered.

Example reasons for invalid directories include:

·the directory doesn't exist

·the directory doesn't have write privilege (update can't be downloaded)

·the directory doesn't have execute privilege (downloaded update can't be run)

note When modifying the download directory, you should ensure the directory will continue to be valid. Updates may no longer occur if the download location is later invalidated.

·Reset instructionStep reverts the download location to the user's TMP directory

The default location is c:\users\[username]\AppData\Local\Temp


Help

Navigation: The menu >

Help

 Return to chapter overview

The Help menu controls displaying this help document and displaying information about Visual Studio Project Fixer.

Help menu instructionStep About Visual Studio Project Cleaner... instructionStep displays information about Visual Studio Project Cleaner.

Help menu instructionStep Readme and Version History... instructionStep displays the readme and version history.

Help menu instructionStep Help Topics... instructionStep displays this help file.

Help menu instructionStep Help PDF... instructionStep displays this help file in PDF format.

Help menu instructionStep Help on softwareverify.com... instructionStep display the Software Verify documentation web page where you can view online documentation or download compiled HTML Help and PDF help documents.

Help menu instructionStep Blog... instructionStep display the Software Verify blog.

Help menu instructionStep Library... instructionStep display the Software Verify library - our best blog articles grouped by related topics.

Help menu instructionStep Contact customer support... instructionStep displays the options for contacting customer support.

Click a link to contact customer support.

Help menu instructionStep How do I?... instructionStep displays the options for asking us how to do a particular task.


The graphical user interface

Navigation: »No topics above this level«

The graphical user interface

 Return to chapter overview

Visual Studio Project Cleaner provides a graphical user interface to allow you to select the file types you wish to clean and to monitor the progress of the cleaning operation.

Directory

Type the name of the directory to clean or use the Browse... button to select the directory using the Microsoft directory browser.

Multiple directories

You can specify multiple directories by typing the directory paths directly into the directory field, separating each path with a semi colon.

Clean subdirectories

If you wish to clean all subdirectories of the specified directory, select this check box.

If you don't wish to clean all subdirectories of the specified directory, clear this check box.

Clean

When you are confident that you have selected the correct file types to clean in the specified directory click the Clean button.

The file cleaning process will commence. All files that match the selected file types will be deleted.

Progress will be shown on the display - the current filename or directory is displayed, with a count of the number of files deleted.

You can stop the cleaning process at any time by clicking the Stop Clean button.


Settings

Navigation: »No topics above this level«

Settings

 Return to chapter overview

The settings dialog allows you to edit the types of file that will be cleaned by Visual Studio Project Cleaner.

The types of file have been put in related groups: Visual Studio, Linker and Lint, Backup, Upgrade.

Reset All - Resets all global settings, not just those on the current page.

Reset - Resets the settings on this page


Visual Studio

Navigation: Settings >

Visual Studio

 Return to chapter overview

The settings dialog allows you to edit the types of file that will be cleaned by Visual Studio Project Cleaner.

Visual Studio

Select the types of file you wish to clean.

The default selection is the complete set of file types for Visual Studio 6, plus the addition of .tlog files for more modern versions of Visual Studio.

These files are either temporary files that are not automatically cleaned or they are files that will be automatically regenerated by Visual Studio if they are deleted.

aps Last resource editor state

bak Backup file

bsc Source code browser database.

exp Exports file

idb Incremental database file, used for minimum rebuild linking

ilk Incremental linker file

ipch Incremental precompiled header

lastbuildstate Build helper

plg Build progress log

log Build log

ncb Intellisense database

obj Object file produced by compiler

opt Visual Studio 6 options

pch Precompiled header file

res Compiled resource file

sbr Source Browser Information

sdf Intellisense Database

suo User Options

tlog File dependency information

Reset All - Resets all global settings, not just those on the current page.

Reset - Resets the settings on this page


Executable and debugging

Navigation: Settings >

Executable and debugging

 Return to chapter overview

The settings dialog allows you to edit the types of file that will be cleaned by Visual Studio Project Cleaner.

Executable and debugging file types

lib Library file

dll Dynamic link libraries. Deselected by default.

exe Executable programs. Deselected by default.

pdb Program database - debugging information

dbg Debugging information (an alternative form of PDB file)

map MAP file produced by program linker

Known DLLs

DLLs that are from Microsoft Useful for cleaning up Microsoft DLLs you've temporarily deployed in your build environment.

DLLs that are not from Microsoft Useful for cleaning up your DLLs or 3rd-party you've temporarily deployed in your build environment.

Reset All - Resets all global settings, not just those on the current page.

Reset - Resets the settings on this page


Lint, Backup, Upgrade

Navigation: Settings >

Lint, Backup, Upgrade

 Return to chapter overview

The settings dialog allows you to edit the types of file that will be cleaned by Visual Studio Project Cleaner.

Visual Lint file types

lnt Visual Lint files (*.lnt).

Visual Lint Files created by Visual Lint static analysis tool. These are stored in a .visuallint directory.

Backup and Upgrade file types

Visual Studio Project Fixer Backup files created by Visual Studio Project Fixer.

Visual Studio upgrade Backup files created by upgrading a Visual Studio solution/project.

Visual Studio upgrade report Files created to report information about upgrading a Visual Studio solution/project.

.vs Files in .vs directories. Often found in .Net Core projects.

obj Files in obj directories. Often found in .Net Core projects.

You can reset these settings, select all file types or deselect all file types using the button at the bottom of the dialog.

Reset All - Resets all global settings, not just those on the current page.

Reset - Resets the settings on this page


Directory Filters

Navigation: Settings >

Directory Filters

 Return to chapter overview

The settings dialog allows you to edit the types of file that will be cleaned by Visual Studio Project Cleaner.

Directory Filters

Directory filters are specified by specifying the directories to filter and choosing the filter action to apply.

Directories

Directories are specified by adding directories to the list of directories, editing them if necessary, and by removing unwanted directories when required.

·Add Dir... instructionStep choose a directory using the Microsoft directory browser

·Remove instructionStep remove the selected directory from the list

·Remove All instructionStep remove all directories from the list

An existing directory entry can be edited by double clicking it to start editing.

An existing directory entry can be removed by selecting it then pressing the delete key.

Filter directory specifications can include a * wildcard (as many times as you need a wildcard). To add the wildcard you'll need to edit the entry by double clicking it.

Filter Action

The filter action allows you to change filter behaviour without needing to edit the list of filter directories.

·Clean all directories instructionStep clean all directories, ignore the filter directories

·Clean only the directories that match the filters instructionStep clean directories that match the filter directories

·Don't clean the directories that match the filters instructionStep clean directories that don't match the filter directories

Reset All - Resets all global settings, not just those on the current page.

Reset - Resets the settings on this page


Command Line

Navigation: »No topics above this level«

Command Line

 Return to chapter overview

The command line support in Visual Studio Project Cleaner is very simple.

/configure

The /configure command has no arguments.

When this command is on the command line the Settings dialog is displayed allowing the clean settings to be configured, but not allowing a clean operation to be performed.

This option exists to allow Visual Studio Project Cleaner to be configured from within Visual Studio Project Builder.

/dir

The /dir command takes one argument, a directory name.

/dir e:\build\product\release

The /dir command can be specified multiple times, allowing you to clean multiple directories from the command line.

/dir e:\build\product\release /dir e:\build\product\debug

This option exists to allow Visual Studio Project Cleaner to perform a clean from within Visual Studio Project Builder.

/loadSettings

The /loadSettings command takes one argument, a settings file name.

/loadSettings e:\preBuildSettings.vspcs

/resetAll

The /resetAll command has no arguments.

This option resets all settings back to the default settings.

Example command line

visualStudioProjectCleaner.exe /loadSettings e:\preBuildSettings.vspcs /dir e:\build\product\release

The above command line will load settings from e:\preBuildSettings.vspcs, then clean the directory e:\build\product\release